Bug 170765 - /etc/init.d/dhcp configtest ignores DHCPDARGS
/etc/init.d/dhcp configtest ignores DHCPDARGS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dhcp (Show other bugs)
4.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-10-14 10:47 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0114
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:14:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-10-14 10:47:34 EDT
+++ This bug was initially created as a clone of Bug #147739 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111
Firefox/1.0

Description of problem:
The configtest function in the dhcpd startup/shutdown script ignores any
DHCPDARGS specified in /etc/sysconfig/dhcpd.  If DHCPDARGS is used to specify an
alternate config file, via the -cf option, then configtest ends up testing the
wrong config file (and will likely fail).  This means that the restart/reload
function of the startup/shutdown script doesn't work either.

Version-Release number of selected component (if applicable):
dhcp-3.0.1-10_EL3

How reproducible:
Always

Steps to Reproduce:
1. Move /etc/dhcpd.conf to another location (e.g., /etc/dhcpd/dhcpd.conf).
2. Place a blank dhcpd.conf file in /etc to satisfy the "[ -f /etc/dhcpd.conf ]
|| exit 0" test in the startup script.
3. Edit /etc/sysconfig/dhcpd with the new location (e.g., "DHCPDARGS='-cf
/etc/dhcpd/dhcpd.conf'").
4. Restart dhcpd.


Actual Results:  dhcpd complains about missing arguments in /etc/dhcpd.conf.

Expected Results:  configtest uses the "real" dhcpd.conf file.

If this is not possible, then "service dhcpd restart" should at least give the
same results as "service dhcpd stop; service dhcpd stop" (i.e., it should
probably not invoke configtest).

Additional info:

-- Additional comment from jvdias@redhat.com on 2005-02-11 19:35 EST --
This bug is now fixed with dhcp-3.0.1-33_FC3, which is now making its
way through QA testing, and will hopefully end up in RHEL-3-U5 .
Meanwhile, you can download it from:
http://people.redhat.com/~jvdias/DHCP/RHEL-3/ .
Please test this version and let me know if it fixes your problem
or if you can find any other problems with it.
Thank You,
Jason Vas Dias, Red Hat. 

-- Additional comment from josh@jbc.edu on 2005-02-15 11:59 EST --
Two problems with the -33 version:

The sed one-liner in configtest removes the space between -cf and the
filename, and dhcpd doesn't like that.

The start function no longer passes ${DHCPDARGS} when starting dhcpd,
so alternate config files don't work at all.

Thanks for the quick reply.

-- Additional comment from jvdias@redhat.com on 2005-10-14 10:46 EST --
This bug (and issue raised in previous comment) is fixed with dhcp-3.0.1-40_EL3+.
Comment 1 Jason Vas Dias 2005-10-14 10:48:42 EDT
fixed with dhcp-3.0.1-40_EL4+
Comment 7 Red Hat Bugzilla 2006-03-07 13:14:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0114.html

Note You need to log in before you can comment on or make changes to this bug.